# Uses of Class
org.bukkit.plugin.RegisteredListener

Packages that use RegisteredListener
Package
Description
org.bukkit.event
Classes dedicated to handling triggered code executions.
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of RegisteredListener in org.bukkit.event

Methods in org.bukkit.event that return RegisteredListener
Modifier and Type
Method
Description
`@NotNull RegisteredListener[]`
HandlerList.`getRegisteredListeners()`
Get the baked registered listeners associated with this handler list
Methods in org.bukkit.event that return types with arguments of type RegisteredListener
Modifier and Type
Method
Description
`static @NotNull ArrayList<RegisteredListener>`
HandlerList.`getRegisteredListeners(@NotNull Plugin plugin)`
Get a specific plugin's registered listeners associated with this handler list
Methods in org.bukkit.event with parameters of type RegisteredListener
Modifier and Type
Method
Description
`void`
HandlerList.`register(@NotNull RegisteredListener listener)`
Register a new listener in this handler list
`void`
HandlerList.`unregister(@NotNull RegisteredListener listener)`
Remove a listener from a specific order slot
Method parameters in org.bukkit.event with type arguments of type RegisteredListener
Modifier and Type
Method
Description
`void`
HandlerList.`registerAll(@NotNull Collection<RegisteredListener> listeners)`
Register a collection of new listeners in this handler list

## Uses of RegisteredListener in org.bukkit.plugin

Subclasses of RegisteredListener in org.bukkit.plugin
Modifier and Type
Class
Description
`class`
`TimedRegisteredListener`
Extends RegisteredListener to include timing information
Methods in org.bukkit.plugin that return types with arguments of type RegisteredListener
Modifier and Type
Method
Description
`@NotNull Map<Class<? extends Event>,Set<RegisteredListener>>`
PluginLoader.`createRegisteredListeners(@NotNull Listener listener, @NotNull Plugin plugin)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates and returns registered listeners for the event classes used in this listener

## Uses of RegisteredListener in org.bukkit.plugin.java

Methods in org.bukkit.plugin.java that return types with arguments of type RegisteredListener
Modifier and Type
Method
Description
`@NotNull Map<Class<? extends Event>,Set<RegisteredListener>>`
JavaPluginLoader.`createRegisteredListeners(@NotNull Listener listener, @NotNull Plugin plugin)`
Deprecated, for removal: This API element is subject to removal in a future version.